Ben
Burton
12. april, 2003
kapptemplate
1

# `kapptemplate`

Opretter et skelet til at udvikle et KDE-program

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Beskrivelse

`kapptemplate` er et skalscript som laver det nødvendige skelet for at udvikle diverse &kde;-programmer. Det sørger for koden for autoconf/automake og sørger for et kodeskelet og eksempler på hvordan koden oftest ser ud.

Værktøjet er en del af &kde;'s programmeludviklingsmiljø.

## Tilvalg

### Generelle tilvalg

`--help`

  Viser en fuldstændig oversigt over flag.

`--no-init`

  Kør ikke `make` `-f` `Makefile.cvs`

`--default`

  Brug standardværdier i stedet for at spørge.

### Skelettyper

`--full-app`

  Opret et KDE-program med alle funktioner.

`--kpart-app`

  Opret et KDE-delprogram (Kpart) med alle funktioner.

`--kpart-plugin`

  Opret et Kpart plugin-skelet.

`--existing`

  Konvertér eksisterende kildekode til et KDE-skelet med automake og autoconf

## Filer

`~/.kapptemplate`

  Opbevarer standardværdier

## Se også

`$PREFIX/share/doc/kapptemplate`

## Forfattere

`kapptemplate` er skrevet af &Kurt.Granroth; &Kurt.Granroth.mail;

Denne manualside er skrevet Ben Burton bab@debian.org